ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephane Bailliez <stephane.baill...@haht.com>
Subject RE: cvs commit: jakarta-ant/src/main/org/apache/tools/ant Main.ja va Diagnostics.java
Date Thu, 27 Jun 2002 10:13:33 GMT
> -----Original Message-----
> From: Stefan Bodewig [mailto:bodewig@apache.org]
> 
> On Thu, 27 Jun 2002, Stephane Bailliez <stephane.bailliez@haht.com>
> wrote:
> 
> > this must be because the loaded package 'o.a.t.a' is not the one
> > from the bootstrap jar (that contains the Manifest) but from the
> > build/classes.
> 
> Hmm, shouldn't be that way - I'll have to look into it a bit deeper.
> ant.jar (the one created in dist-ant) is on the CLASSPATH and should
> come in front of any classes directory.  If not, I'll have to fix
> Gump.

It's really the 1.5 branch with the fixed build.xml (ie manifest) ?
First time I bumped into this was because the name of the package was
incorrectly defined in the manifest. So if there is null, that looks like
because it cannot find the implementation version associated to the package,
so I think that either a non manifest package is in front, either the
manifest is incorrect or I don't know :)

> > I can assume that null = null is ok and is a 'test' mode though.
> 
> I'm not too sure.  Also I'm not sure whether using optional.jar
> compiled with 1.5beta3 should really cause a build failure when used
> with Ant 1.5beta2.

That's mainly the point. In this case we need a more complex implementation
version definition that is able to say whether one is compatible with the
other...

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message